文档首页 > > 开发指南(适用于2.x及之前)> Hive应用开发> 环境准备> 开发环境简介

开发环境简介

分享
更新时间:2020/07/22 GMT+08:00

在进行应用开发时,要准备的本地开发环境如表1所示。同时需要准备运行调测的Linux环境,用于验证应用程序运行正常。

表1 开发环境

准备项

说明

操作系统

  • 开发环境:Windows系统,推荐Windows7以上版本。
  • 运行环境:Linux系统。

安装JDK

开发和运行环境的基本配置。版本要求如下:

MRS集群的服务端和客户端仅支持自带的Oracle JDK(版本为1.8),不允许替换。

对于客户应用需引用SDK类的Jar包运行在客户应用进程中的,支持Oracle JDK和IBM JDK。

  • Oracle JDK:支持1.7和1.8版本。
  • IBM JDK:推荐1.7.8.10、1.7.9.40和1.8.3.0版本。

说明:

在HCatalog的开发环境中,基于安全考虑,MRS服务端只支持TLS 1.1和TLS 1.2加密协议,IBM JDK默认TLS只支持1.0,若使用IBM JDK,请配置启动参数“com.ibm.jsse2.overrideDefaultTLS”为“true”,设置后可以同时支持TLS1.0/1.1/1.2。

详情请参见:https://www.ibm.com/support/knowledgecenter/zh/SSYKE2_8.0.0/com.ibm.java.security.component.80.doc/security-component/jsse2Docs/matchsslcontext_tls.html#matchsslcontext_tls

安装和配置Eclipse

用于开发Hive应用程序的工具。版本要求如下:

  • JDK使用1.7版本,Eclipse使用3.7.1及以上版本。

    JDK使用1.8版本,Eclipse使用4.3.2及以上版本。

说明:

若使用IBM JDK,请确保Eclipse中的JDK配置为IBM JDK。

若使用Oracle JDK,请确保Eclipse中的JDK配置为Oracle JDK。

不同的Eclipse不要使用相同的workspace和相同路径下的示例工程。

网络

确保客户端与Hive服务主机在网络上互通。

分享:

    相关文档

    相关产品

文档是否有解决您的问题?

提交成功!非常感谢您的反馈,我们会继续努力做到更好!
反馈提交失败,请稍后再试!

*必选

请至少选择或填写一项反馈信息

字符长度不能超过200

提交反馈 取消

如您有其它疑问,您也可以通过华为云社区问答频道来与我们联系探讨

智能客服提问云社区提问